var app = angular.module("appViewer",['ui.router']);

app.config(function($stateProvider,$urlRouterProvider,$locationProvider){
    $locationProvider.html5Mode(true);
    $urlRouterProvider.otherwise('/index.html');
   $stateProvider
        .state('home',{
            url:'/index.html',
            templateUrl: '/templates/home.html'
        })
   .state('more',{
        url:'/more',
        templateUrl:'templates/more.html'
        });
   
 
});



app.controller('mainController',function($scope,carService,$state){
    
     $scope.cars = carService.requestCarDetails(function(cars){
         $scope.cars = cars;
         $scope.desc = $scope.cars[0].desc;
     });
    
    
    
    $scope.onSelect = function(index){
       $scope.desc= $scope.cars[index].desc;
    }
    
    $scope.onClickMore = function(){
        $state.go("more");
    }
    
   
});
